%define name ganyremote
%define version 5.7
%define release %mkrel 1

Summary: GTK frontend for anyRemote
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: noarch
Source0: http://nchc.dl.sourceforge.net/sourceforge/anyremote/%name-%version.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: pygtk2.0 python-pybluez anyremote bluez

%description
gAnyRemote package is GTK GUI frontend for anyRemote.  It provides remote
control service on Linux through Bluetooth, InfraRed, Wi-Fi or TCP/IP
connection.

%prep
%setup -q

%build
%configure2_5x --build=%{_host}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

# we'll cp our own doc files
rm -rf %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS
%{_bindir}/%name
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Sat Mar 14 2009 Funda Wang <fundawang@mandriva.org> 5.7-1mdv2009.1
+ Revision: 355027
- update to new version 5.7

* Wed Jan 21 2009 Funda Wang <fundawang@mandriva.org> 5.6-1mdv2009.1
+ Revision: 332070
- update to new version 5.6

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 5.5.1-1mdv2009.1
+ Revision: 324712
- update to new version 5.5.1

* Fri Dec 19 2008 Funda Wang <fundawang@mandriva.org> 5.5-1mdv2009.1
+ Revision: 316018
- new version 5.5

* Mon Nov 17 2008 Funda Wang <fundawang@mandriva.org> 5.4.1-1mdv2009.1
+ Revision: 303942
- update to new version 5.4.1

* Wed Oct 22 2008 Funda Wang <fundawang@mandriva.org> 5.4-1mdv2009.1
+ Revision: 296350
- New version 5.4

* Wed Oct 15 2008 Funda Wang <fundawang@mandriva.org> 5.3-2mdv2009.1
+ Revision: 293813
- adop to new bluez package layout

* Sat Oct 11 2008 Funda Wang <fundawang@mandriva.org> 5.3-1mdv2009.1
+ Revision: 292186
- New version 5.3

* Wed Sep 10 2008 Funda Wang <fundawang@mandriva.org> 5.2.1-1mdv2009.0
+ Revision: 283368
- new version 5.2.1

* Thu Aug 21 2008 Funda Wang <fundawang@mandriva.org> 5.1-1mdv2009.0
+ Revision: 274530
- New version 5.1

* Fri Jul 25 2008 Funda Wang <fundawang@mandriva.org> 5.0-1mdv2009.0
+ Revision: 248228
- New version 5.0
- hardcode buildhost, but it is still a noarch package

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jun 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-2mdv2009.0
+ Revision: 217020
- remove URL from description (and improves it)

* Mon Jun 02 2008 Funda Wang <fundawang@mandriva.org> 3.0-1mdv2009.0
+ Revision: 214184
- import ganyremote


